# @passionui/react-native-foundation

A React Native design system for making cross-platform applications with built-in navigation components.

## Features

- 🎨 Pre-built UI components (Button, Input, Text, etc.)
- 🧭 Navigation components (Stack, Tab, Modal, BottomSheet)
- 🌗 Light/Dark theme support
- 🌍 i18n localization support
- 📱 Cross-platform (iOS & Android)
- 🎯 TypeScript support

## Installation

```bash
npm install @passionui/react-native-foundation
```

## Peer Dependencies

This package requires the following peer dependencies:

```bash
npm install react-native-linear-gradient \
  react-native-gesture-handler \
  react-native-reanimated \
  react-native-safe-area-context \
  react-native-svg \
  react-native-vector-icons \
  react-native-worklets \
  @d11/react-native-fast-image \
  react-native-pager-view
```

## Usage

See the example app for complete usage examples.

## License

MIT

